aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexey Shvetsov <alexxy@gentoo.org>2011-09-02 23:50:06 +0400
committerAlexey Shvetsov <alexxy@gentoo.org>2011-09-02 23:50:36 +0400
commitc21e7fae0b3223a030b18f80affb712f3309cbd6 (patch)
treeb458415a9abf19d987515aa84b0c662bd97b6275 /sys-infiniband/librxe/librxe-1.0.0.ebuild
parent[sci-libs/fftw] in tree (diff)
downloadsci-c21e7fae0b3223a030b18f80affb712f3309cbd6.tar.gz
sci-c21e7fae0b3223a030b18f80affb712f3309cbd6.tar.bz2
sci-c21e7fae0b3223a030b18f80affb712f3309cbd6.zip
[sys-infiniband/librxe] Add sw driver for roce
(Portage version: 2.2.0_alpha51/git/Linux x86_64, signed Manifest commit with key F82F92E6)
Diffstat (limited to 'sys-infiniband/librxe/librxe-1.0.0.ebuild')
-rw-r--r--sys-infiniband/librxe/librxe-1.0.0.ebuild22
1 files changed, 22 insertions, 0 deletions
diff --git a/sys-infiniband/librxe/librxe-1.0.0.ebuild b/sys-infiniband/librxe/librxe-1.0.0.ebuild
new file mode 100644
index 000000000..fad46b57f
--- /dev/null
+++ b/sys-infiniband/librxe/librxe-1.0.0.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sys-infiniband/libmthca/libmthca-1.0.5-r2.ebuild,v 1.2 2011/07/02 20:30:14 alexxy Exp $
+
+EAPI="4"
+
+DESCRIPTION="OpenIB userspace driver for RoCE"
+HOMEPAGE="http://www.openfabrics.org/"
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux"
+SRC_URI="http://support.systemfabricworks.com/downloads/rxe/librxe-1.0.0.tar.gz"
+IUSE=""
+
+DEPEND=">=sys-infiniband/libibverbs-1.1.4"
+RDEPEND="${DEPEND}
+ !sys-infiniband/openib-userspace"
+
+src_install() {
+ make DESTDIR="${D}" install || die "install failed"
+ dodoc README AUTHORS ChangeLog
+}